org.apache.tinkerpop.gremlin.structure.util.detached

## Class DetachedPath

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.step.util.MutablePath
  - - org.apache.tinkerpop.gremlin.structure.util.detached.DetachedPath

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Object>, Path, Attachable<Path>

      public class DetachedPath
      extends MutablePath
      implements Attachable<Path>

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `Attachable.Exceptions, Attachable.Method`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Path

      `Path.Exceptions`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.MutablePath

      `labels, objects`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DetachedPath(Path path, boolean withProperties)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Path` | `attach(Function<Attachable<Path>,Path> method)` Provide a way to attach an `Attachable` implementation to a host.
    `Path` | `get()` Get the raw object trying to be attached.

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.util.MutablePath

      `clone, equals, extend, extend, get, get, hashCode, hasLabel, head, isEmpty, iterator, labels, make, objects, retract, size, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.process.traversal.Path

      `forEach, get, isSimple, popEquals, stream, subPath`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### DetachedPath

          protected DetachedPath(Path path,
                                 boolean withProperties)

  - ### Method Detail

    - #### get

          public Path get()

      Description copied from interface: `Attachable`
      Get the raw object trying to be attached.
      Specified by:
        `get` in interface `Attachable<Path>`
      Returns:
        the raw object to attach

    - #### attach

          public Path attach(Function<Attachable<Path>,Path> method)

      Description copied from interface: `Attachable`
      Provide a way to attach an `Attachable` implementation to a host. Note that the context of the host is not defined by way of the attachment method itself that is supplied as an argument. It is up to the implementer to supply that context.
      Specified by:
        `attach` in interface `Attachable<Path>`
      Parameters:
        `method` - a `Function` that takes an `Attachable` and returns the "re-attached" object
      Returns:
        the return value of the `method`

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.